Skip to main content

Taxes

Base URL: https://api.covasoft.net/taxes

Endpoints​

EndpointDescription
GET v1/Companies({CompanyId})/TaxPricingConfigurationReturns the Tax pricing configuration values for the company. Tax Pricing Configuration reveals whether a location has "Tax Inclusive Pricing". If a location is not configured, the default is "Tax Exclusive".
GET v1/Companies({companyId})/TaxRatesReturn all Tax Rates for a Company
GET v1/Companies({CompanyId})/TaxRates({TaxRateId})Returns Tax Details for a Tax Rate
GET v1/Companies({CompanyId})/TaxCategoriesReturns all Tax Categories for a Company
GET v1/Companies({CompanyId})/TaxCategories({TaxCategoryId}Returns the Tax Category Details for a Tax Category
POST v2/TaxCalculationReturns applicable taxes for the Catalog Items in the body of the call. Only valid for Tax Exclusive locations, which apply taxes in addition to the selling price.
POST v2/TaxInclusiveCalculationReverse calculates and returns taxes for the catalog items supplied. Only valid for Tax Inclusive locations, which start with an 'out the door' price and applicable taxes are calculate to achieve that end price.

GET v1/Companies({CompanyId})/TaxPricingConfiguration​

Returns the Tax pricing configuration values for the company. Tax Pricing Configuration reveals whether a location has "Tax Inclusive Pricing". If a location is not configured, the default is "Tax Exclusive".

Note​

This configuration will rarely change. It is not a trivial exercise to switch between the tax schemes as all pricing for a location must be properly adjusted. Refreshing a cache of this data once daily is sufficient.

Base URL:​

https://api.covasoft.net/taxes

Example of a call would be:​

https://api.covasoft.net/taxes/v1/Companies({CompanyId})/TaxPricingConfiguration

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe Company you wish to get configurations forintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Collection of TaxPricingConfigurationResult

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdCompany IdintegerNone.
ConfigurationsLocation level configurationsCollection of ConfigurationNone.

Response Formats​

application/json, text/json

[
{
"Id": 1,
"CompanyId": 2,
"Configurations": [
{
"Id": 1,
"LocationId": 2,
"CompanyId": 3,
"TaxPricing": "sample string 4"
},
{
"Id": 1,
"LocationId": 2,
"CompanyId": 3,
"TaxPricing": "sample string 4"
}
]
},
{
"Id": 1,
"CompanyId": 2,
"Configurations": [
{
"Id": 1,
"LocationId": 2,
"CompanyId": 3,
"TaxPricing": "sample string 4"
},
{
"Id": 1,
"LocationId": 2,
"CompanyId": 3,
"TaxPricing": "sample string 4"
}
]
}
]

GET v1/Companies({companyId})/TaxRates​

Return all Tax Rates for a Company

Base URL:​

https://api.covasoft.net/taxes

Example of a call would be:​

https://api.covasoft.net/taxes/v1/Companies({CompanyId})/TaxRates

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

All the Tax Rates for a Company

Collection of TaxRate

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
NamestringNone.
DisplayNamestringNone.
DescriptionstringNone.
Ratedecimal numberNone.
TaxRateTypePercentage or FlatRatestringNone.
TaxCalculatedOnTaxes calculated on SoldAtPrice or BasePriceListPricestringNone.
LayerFor compound taxes. Does this tax apply on top of other taxes. Currently only support single compound levels. Zero (0) is base level, one (1) is compounding taxintegerNone.
StartDateUtcdateNone.
EndDateUtcdateNone.
IsActivebooleanNone.

Response Formats​

application/json, text/json

[
{
"Id": "40034990-accb-44ce-98eb-51697a8a8cfa",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:44:06.2056724+00:00",
"EndDateUtc": "2026-10-02T17:44:06.2056724+00:00",
"IsActive": true
},
{
"Id": "40034990-accb-44ce-98eb-51697a8a8cfa",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:44:06.2056724+00:00",
"EndDateUtc": "2026-10-02T17:44:06.2056724+00:00",
"IsActive": true
}
]

GET v1/Companies({CompanyId})/TaxRates({TaxRateId})​

Returns Tax Details for a Tax Rate

Base URL:​

https://api.covasoft.net/taxes

Example of a call would be:​

https://api.covasoft.net/taxes/v1/Companies({CompanyId})/TaxRates({TaxRateId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
TaxRateIdThe Tax Id Guid for the tax you want Detailsglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Tax Details for a Tax Rate

TaxRate

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
NamestringNone.
DisplayNamestringNone.
DescriptionstringNone.
Ratedecimal numberNone.
TaxRateTypePercentage or FlatRatestringNone.
TaxCalculatedOnTaxes calculated on SoldAtPrice or BasePriceListPricestringNone.
LayerFor compound taxes. Does this tax apply on top of other taxes. Currently only support single compound levels. Zero (0) is base level, one (1) is compounding taxintegerNone.
StartDateUtcdateNone.
EndDateUtcdateNone.
IsActivebooleanNone.

Response Formats​

application/json, text/json

{
"Id": "05ccd22a-77db-41a5-b605-2dc2bdc5af7f",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:40:45.0898581+00:00",
"EndDateUtc": "2026-10-02T17:40:45.0898581+00:00",
"IsActive": true
}

GET v1/Companies({CompanyId})/TaxCategories​

Returns all Tax Categories for a Company

Base URL:​

https://api.covasoft.net/taxes

Example of a call would be:​

https://api.covasoft.net/taxes/v1/Companies({CompanyId})/TaxCategories

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

All the Tax Categories for a Company

Collection of TaxCategory

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
NamestringNone.
DescriptionstringNone.
IsDefaultbooleanNone.
ProductCatalogIdsCollection of globally unique identifierNone.
TaxMappingTaxMappingNone.

Response Formats​

application/json, text/json

[
{
"Id": "e5c78573-355d-41f1-8bfc-41705b160b2a",
"CompanyId": 2,
"Name": "sample string 3",
"Description": "sample string 4",
"IsDefault": true,
"ProductCatalogIds": [
"56c2d61d-17af-4efc-a0c4-7fbabbfe7d46",
"02b02b1d-293a-4fea-9646-dd64d7bd2ca6"
],
"TaxMapping": {
"Id": "68f987d1-89d0-42b1-9337-d3e8cf00ac5d",
"CompanyId": 2,
"TaxCategory": "sample string 3",
"TaxCategoryId": "d292e72d-145c-4050-bd67-39f0c092ed64",
"CorrelationId": "254bc919-70ec-4dc7-92d6-673cda5a865c",
"TaxRateIds": [
"b98122a4-aa0e-49bb-9a33-8c6f2c77a127",
"a4eb5240-e76a-4c87-8edb-445d7ea4d0d3"
],
"TaxRates": [
{
"Id": "a7dd2bde-411a-4456-8d61-5f41987c5c6d",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"EndDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"IsActive": true
},
{
"Id": "a7dd2bde-411a-4456-8d61-5f41987c5c6d",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"EndDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"IsActive": true
}
]
}
},
{
"Id": "e5c78573-355d-41f1-8bfc-41705b160b2a",
"CompanyId": 2,
"Name": "sample string 3",
"Description": "sample string 4",
"IsDefault": true,
"ProductCatalogIds": [
"56c2d61d-17af-4efc-a0c4-7fbabbfe7d46",
"02b02b1d-293a-4fea-9646-dd64d7bd2ca6"
],
"TaxMapping": {
"Id": "68f987d1-89d0-42b1-9337-d3e8cf00ac5d",
"CompanyId": 2,
"TaxCategory": "sample string 3",
"TaxCategoryId": "d292e72d-145c-4050-bd67-39f0c092ed64",
"CorrelationId": "254bc919-70ec-4dc7-92d6-673cda5a865c",
"TaxRateIds": [
"b98122a4-aa0e-49bb-9a33-8c6f2c77a127",
"a4eb5240-e76a-4c87-8edb-445d7ea4d0d3"
],
"TaxRates": [
{
"Id": "a7dd2bde-411a-4456-8d61-5f41987c5c6d",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"EndDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"IsActive": true
},
{
"Id": "a7dd2bde-411a-4456-8d61-5f41987c5c6d",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"EndDateUtc": "2026-10-02T17:42:02.4508266+00:00",
"IsActive": true
}
]
}
}
]

Models​

TaxMapping
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
TaxCategorystringNone.
TaxCategoryIdglobally unique identifierNone.
CorrelationIdglobally unique identifierNone.
TaxRateIdsCollection of globally unique identifierNone.
TaxRatesCollection of TaxRateNone.
TaxRate
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
NamestringNone.
DisplayNamestringNone.
DescriptionstringNone.
Ratedecimal numberNone.
TaxRateTypePercentage or FlatRatestringNone.
TaxCalculatedOnTaxes calculated on SoldAtPrice or BasePriceListPricestringNone.
LayerFor compound taxes. Does this tax apply on top of other taxes. Currently only support single compound levels. Zero (0) is base level, one (1) is compounding taxintegerNone.
StartDateUtcdateNone.
EndDateUtcdateNone.
IsActivebooleanNone.

GET v1/Companies({CompanyId})/TaxCategories({TaxCategoryId}​

Returns the Tax Category Details for a Tax Category

Base URL:​

https://api.covasoft.net/taxes

Example of a call would be:​

https://api.covasoft.net/taxes/v1/Companies({CompanyId})/TaxCategories({TaxCategoryId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
TaxCategoryIdThe Tax Category Id Guid for the tax you want Detailsglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Tax Category Details for a Tax Category

TaxCategory

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
NamestringNone.
DescriptionstringNone.
IsDefaultbooleanNone.
ProductCatalogIdsCollection of globally unique identifierNone.
TaxMappingTaxMappingNone.

Response Formats​

application/json, text/json

{
"Id": "ded139b8-4fbe-4919-8d35-1635950ddcff",
"CompanyId": 2,
"Name": "sample string 3",
"Description": "sample string 4",
"IsDefault": true,
"ProductCatalogIds": [
"e02c4cd9-a2af-423e-ba12-89d0c653367c",
"f815b8a2-ee79-4561-9e88-2ba2ea6e7be0"
],
"TaxMapping": {
"Id": "846920e1-dacf-4d3e-b543-7a105e75139b",
"CompanyId": 2,
"TaxCategory": "sample string 3",
"TaxCategoryId": "eb3559fa-54b9-4142-bf01-8b3da281ed1a",
"CorrelationId": "a0883e29-a178-427b-a11e-22c66039f743",
"TaxRateIds": [
"e77beac2-6aee-439b-8e3d-5230139c4381",
"4e061480-a2ac-4f47-acc5-5db566dd1552"
],
"TaxRates": [
{
"Id": "000f5e2e-3e33-4107-8c25-eec6462f87df",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:42:03.2633359+00:00",
"EndDateUtc": "2026-10-02T17:42:03.2633359+00:00",
"IsActive": true
},
{
"Id": "000f5e2e-3e33-4107-8c25-eec6462f87df",
"CompanyId": 2,
"Name": "sample string 3",
"DisplayName": "sample string 4",
"Description": "sample string 5",
"Rate": 6.1,
"TaxRateType": "sample string 7",
"TaxCalculatedOn": "sample string 8",
"Layer": 9,
"StartDateUtc": "2026-10-02T17:42:03.2633359+00:00",
"EndDateUtc": "2026-10-02T17:42:03.2633359+00:00",
"IsActive": true
}
]
}
}

Models​

TaxMapping
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
TaxCategorystringNone.
TaxCategoryIdglobally unique identifierNone.
CorrelationIdglobally unique identifierNone.
TaxRateIdsCollection of globally unique identifierNone.
TaxRatesCollection of TaxRateNone.
TaxRate
NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
CompanyIdintegerNone.
NamestringNone.
DisplayNamestringNone.
DescriptionstringNone.
Ratedecimal numberNone.
TaxRateTypePercentage or FlatRatestringNone.
TaxCalculatedOnTaxes calculated on SoldAtPrice or BasePriceListPricestringNone.
LayerFor compound taxes. Does this tax apply on top of other taxes. Currently only support single compound levels. Zero (0) is base level, one (1) is compounding taxintegerNone.
StartDateUtcdateNone.
EndDateUtcdateNone.
IsActivebooleanNone.

POST v2/TaxCalculation​

Returns applicable taxes for the Catalog Items in the body of the call. Only valid for Tax Exclusive locations, which apply taxes in addition to the selling price.

Base URL:​

https://api.covasoft.net/taxes

Request Information​

URI Parameters​

None.

Body Parameters​

The Catalog Items you want to get the Taxes for see above for Example

TEPTaxCalculationRequest

NameDescriptionTypeAdditional information
CompanyIdintegerNone.
EntityIdintegerNone.
LineItemsCollection of LineItemNone.

Request Formats​

application/json, text/json

{
"CompanyId": 1,
"EntityId": 2,
"LineItems": [
{
"LineNumber": 1,
"ProductCatalogId": "9691695d-2d5f-4819-84fd-ad3dc10c1a18",
"Quantity": 3.1,
"Price": 4.1,
"BasePriceListPrice": 5.1
},
{
"LineNumber": 1,
"ProductCatalogId": "9691695d-2d5f-4819-84fd-ad3dc10c1a18",
"Quantity": 3.1,
"Price": 4.1,
"BasePriceListPrice": 5.1
}
]
}

Response Information​

Resource Description​

The Taxes for the Catalog Items

TEPTaxCalculationResult

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
SaleIdglobally unique identifierNone.
CompanyIdintegerNone.
EntityIdintegerNone.
LineItemsCollection of TaxLineItemNone.
StatusstringNone.
TaxCalculationDateUtcdateNone.
TaxTotalsCollection of TaxTotalNone.
TotalTaxAmountdecimal numberNone.

Response Formats​

application/json, text/json

{
"Id": "ed98c00f-7923-4326-82c6-30cf2a85d87a",
"SaleId": "be89d002-56c4-4068-8ed1-d3e70399db4b",
"CompanyId": 3,
"EntityId": 4,
"LineItems": [
{
"LineNumber": "sample string 1",
"ProductCatalogId": "6c03708d-6c55-42f1-8ea8-e83d6c5fc8ab",
"Quantity": 3.1,
"Price": 4.1,
"Tax": 5.1,
"UnroundedTax": 6.1,
"Taxable": 7,
"TaxDetails": [
{
"TaxId": "b0a28340-1f44-4652-9e31-0f657f6fcb08",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
},
{
"TaxId": "b0a28340-1f44-4652-9e31-0f657f6fcb08",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
}
]
},
{
"LineNumber": "sample string 1",
"ProductCatalogId": "6c03708d-6c55-42f1-8ea8-e83d6c5fc8ab",
"Quantity": 3.1,
"Price": 4.1,
"Tax": 5.1,
"UnroundedTax": 6.1,
"Taxable": 7,
"TaxDetails": [
{
"TaxId": "b0a28340-1f44-4652-9e31-0f657f6fcb08",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
},
{
"TaxId": "b0a28340-1f44-4652-9e31-0f657f6fcb08",
"Rate": 2.1,
"TaxName": "sample string 3",
"Tax": 4.1,
"Exemptions": {
"Total": 1.1,
"Details": [
{
"ExemptAmount": 1.1
},
{
"ExemptAmount": 1.1
}
]
},
"TaxAuthorityType": "sample string 5",
"TaxType": "sample string 6",
"Layer": 7
}
]
}
],
"Status": "sample string 5",
"TaxCalculationDateUtc": "2026-10-02T17:42:04.0280845+00:00",
"TaxTotals": [
{
"TaxId": "sample string 1",
"TaxRateType": "sample string 2",
"Rate": 3.1,
"TaxName": "sample string 4",
"TaxDisplayName": "sample string 5",
"Tax": 6.1,
"Taxable": 7.1
},
{
"TaxId": "sample string 1",
"TaxRateType": "sample string 2",
"Rate": 3.1,
"TaxName": "sample string 4",
"TaxDisplayName": "sample string 5",
"Tax": 6.1,
"Taxable": 7.1
}
],
"TotalTaxAmount": 7.1
}

Models​

LineItem
NameDescriptionTypeAdditional information
LineNumberintegerNone.
ProductCatalogIdglobally unique identifierNone.
Quantitydecimal numberNone.
PriceSoldAt unit pricedecimal numberNone.
BasePriceListPricethe 'regular' unit price. Some jurisdictions charge tax on the original amount, not discounted amount.decimal numberNone.
TaxLineItem
NameDescriptionTypeAdditional information
LineNumberstringNone.
ProductCatalogIdglobally unique identifierNone.
Quantitydecimal numberNone.
Pricedecimal numberNone.
Taxdecimal numberNone.
UnroundedTaxdecimal numberNone.
TaxableintegerNone.
TaxDetailsCollection of TaxDetailNone.
TaxTotal
NameDescriptionTypeAdditional information
TaxIdstringNone.
TaxRateTypestringNone.
Ratedecimal numberNone.
TaxNamestringNone.
TaxDisplayNamestringNone.
Taxdecimal numberNone.
Taxabledecimal numberNone.
TaxDetail
NameDescriptionTypeAdditional information
TaxIdglobally unique identifierNone.
Ratedecimal numberNone.
TaxNamestringNone.
Taxdecimal numberNone.
ExemptionsExemptionsNone.
TaxAuthorityTypestringNone.
TaxTypestringNone.
LayerintegerNone.
Exemptions
NameDescriptionTypeAdditional information
Totaldecimal numberNone.
DetailsCollection of DetailNone.
Detail
NameDescriptionTypeAdditional information
ExemptAmountdecimal numberNone.

POST v2/TaxInclusiveCalculation​

Reverse calculates and returns taxes for the catalog items supplied. Only valid for Tax Inclusive locations, which start with an 'out the door' price and applicable taxes are calculate to achieve that end price.

Base URL:​

https://api.covasoft.net/taxes

Request Information​

URI Parameters​

None.

Body Parameters​

The Catalog Items you want to get the Taxes for.

TIPTaxCalculationRequest

NameDescriptionTypeAdditional information
CompanyIdCova Company IdintegerNone.
EntityIdintegerNone.
LineItemsCollection of TIPRequestLineItemNone.

Request Formats​

application/json, text/json

{
"CompanyId": 1,
"EntityId": 2,
"LineItems": [
{
"CatalogId": "28fd380d-bf6d-467f-b6d0-32951430e455",
"Quantity": 2.1,
"LineDollarAmount": 3.1,
"PerUnitBasePriceListPrice": 4.1
},
{
"CatalogId": "28fd380d-bf6d-467f-b6d0-32951430e455",
"Quantity": 2.1,
"LineDollarAmount": 3.1,
"PerUnitBasePriceListPrice": 4.1
}
]
}

Response Information​

Resource Description​

The Taxes for the Catalog Items

TIPTaxCalculationResult

NameDescriptionTypeAdditional information
IdintegerNone.
CompanyIdintegerNone.
EntityIdintegerNone.
TaxCalculationDateUtcdateNone.
LineItemsCollection of TIPLineItemNone.

Response Formats​

application/json, text/json

{
"Id": 1,
"CompanyId": 2,
"EntityId": 3,
"TaxCalculationDateUtc": "2026-10-02T17:42:04.8093471+00:00",
"LineItems": [
{
"CatalogId": "c76ee083-57c3-4e75-8f1b-0fafcfdef43e",
"Quantity": 2.1,
"LineDollarAmount": 3.1,
"PerUnitBasePriceListPrice": 4.1,
"Taxes": [
{
"TaxId": "ee52f6bc-c4e7-4cda-9d77-b31acd96f8fa",
"TaxRateType": "sample string 2",
"TaxCalculatedOn": "sample string 3",
"Layer": 4,
"Rate": 5.1,
"TaxName": "sample string 6",
"TaxDisplayName": "sample string 7",
"LineTax": 8.1,
"LineUnroundedTax": 9.1
},
{
"TaxId": "ee52f6bc-c4e7-4cda-9d77-b31acd96f8fa",
"TaxRateType": "sample string 2",
"TaxCalculatedOn": "sample string 3",
"Layer": 4,
"Rate": 5.1,
"TaxName": "sample string 6",
"TaxDisplayName": "sample string 7",
"LineTax": 8.1,
"LineUnroundedTax": 9.1
}
]
},
{
"CatalogId": "c76ee083-57c3-4e75-8f1b-0fafcfdef43e",
"Quantity": 2.1,
"LineDollarAmount": 3.1,
"PerUnitBasePriceListPrice": 4.1,
"Taxes": [
{
"TaxId": "ee52f6bc-c4e7-4cda-9d77-b31acd96f8fa",
"TaxRateType": "sample string 2",
"TaxCalculatedOn": "sample string 3",
"Layer": 4,
"Rate": 5.1,
"TaxName": "sample string 6",
"TaxDisplayName": "sample string 7",
"LineTax": 8.1,
"LineUnroundedTax": 9.1
},
{
"TaxId": "ee52f6bc-c4e7-4cda-9d77-b31acd96f8fa",
"TaxRateType": "sample string 2",
"TaxCalculatedOn": "sample string 3",
"Layer": 4,
"Rate": 5.1,
"TaxName": "sample string 6",
"TaxDisplayName": "sample string 7",
"LineTax": 8.1,
"LineUnroundedTax": 9.1
}
]
}
]
}

Models​

TIPRequestLineItem
NameDescriptionTypeAdditional information
CatalogIdglobally unique identifierNone.
Quantitydecimal numberNone.
LineDollarAmounttotal line price, not unit pricedecimal numberNone.
PerUnitBasePriceListPricethe 'regular' unit price. Some jurisdictions charge tax on the original amount, not discounted amount.decimal numberNone.
TIPLineItem
NameDescriptionTypeAdditional information
CatalogIdglobally unique identifierNone.
Quantitydecimal numberNone.
LineDollarAmountdecimal numberNone.
PerUnitBasePriceListPricedecimal numberNone.
TaxesCollection of TIPTaxNone.
TIPTax
NameDescriptionTypeAdditional information
TaxIdglobally unique identifierNone.
TaxRateTypestringNone.
TaxCalculatedOnstringNone.
LayerintegerNone.
Ratedecimal numberNone.
TaxNamestringNone.
TaxDisplayNamestringNone.
LineTaxdecimal numberNone.
LineUnroundedTaxdecimal numberNone.